Status: New Start date: 2005-11-06
Priority: High % Done: 0%
Assignee:

Category: Redesign

Target version: Modding

Description

When setting BIAS light source definitions | can set

the map like this:

Map = "e1m3|doom|iwad|doom1-ultimate"

But when setting map for anything else that format is

not understood, and | need to set it like this:

Map = "E1M3"

This makes it rather difficult to set up DEDs that

should only be active in specific pwads. | think the

DED code should be updated so that:

Map = "e1m3|doom|iwad|doom1-ultimate" formated strings

are understood by all other objects.

Related issues:

Related to Feature #1617: Scoped definitions and variables New 2013-10-21

Related to Feature #1608: Integrate Doomsday Script

Progressed  2013-10-22

History

#1 - 2013-10-21 20:58 - skyjake

- Tags set to Definitions, Scripting

- Subject changed from Make DED Map handleing consistant. to Consistent map scoping in definitions

- Category set to Redesign
- Priority changed from Normal to High

While the example case is a bit outdated, | fully agree a scoping mechanism must be consistent in syntax and semantics.

#2 - 2018-11-23 14:30 - Drako

After that feature is implemented the goal described in

https://talk.dengine.net/discussion/2624/is-it-possible-to-distinguish-between-maps-with-the-same-id-mapinfo-ded-package-id/ should be achievable.

#3 - 2019-11-29 21:25 - skyjake

- Target version set to Modding

#4 - 2019-11-29 21:25 - skyjake
- Related to Feature #1608: Integrate Doomsday Script added
